Get Flow
get
/rpa/v1/flows/{identifier}/{version}
Gets a Flow by identifier.
Request
Path Parameters
-
identifier(required): string
Identifier.
-
version(required): string
Version identifier.
Query Parameters
-
isFlowDetailsNeeded: boolean
A filter to return details of the Flow.
-
projectId(required): string
Project identifier
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Retrieves the Flow with the given id
Headers
-
etag:
For optimistic concurrency control. See `if-match`.
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Flow
Type:
objectDetails of Flow.
Show Source
-
areScreenshotsAllowed: boolean
Whether the screenshots needs to be allowed for the selected tracing levels
-
connectionIdentifiers: array
connectionIdentifiers
List connection Identifiers.
-
createdBy: string
Created By
-
description: string
Minimum Length:
0Maximum Length:1024Description of the Flow. -
designTimeData: string
Indicates the design time data
-
displayName(required): string
Flow name
-
endpointPath: string
The endpoint to instantiate the Flow.
-
environmentGroupIdentifier: string
Default Environment Group ID where the flow will be executed
-
environmentGroupProjectId: string
Default Environment Group Project ID where the flow will be executed
-
errors: array
errors
List of errors associated with the flow definition.
-
flowProperties: object
flowProperties
Additional Properties Allowed: additionalPropertiesMap
for the Flow Properties -
hasErrors: boolean
Whether the flow definition has errors or not.
-
hasInputSchemaError: boolean
Whether the Input Schema of the flow has errors or not.
-
hasOutputSchemaError: boolean
Whether the Output Schema of the flow has errors or not.
-
hasSelfHealRecommendations: boolean
Indicates whether the flow has self heal recommendations
-
identifier(required): string
Flow identifier
-
inputJsonSchema: string
The raw schema of the input parameter of this flow.
-
isActivatedWithSelfHeal: boolean
Indicates whether the flow activated with self-healing
-
isCreatedWithSelfHealRecommendations: boolean
Indicates whether the flow was created by applying self heal recommendations
-
keywords: string
Minimum Length:
0Maximum Length:1024Keywords. -
lifecycleState(required): string
Allowed Values:
[ "ACTIVE", "LOCKED", "DRAFT", "CONFIGURED", "ACTIVATING", "DEACTIVATING" ]The current state of the Flow. -
maxAiAssistedCalls: integer
Maximum number of AI Assisted calls set for an instance when activated with self heal option enabled
-
outputJsonSchema: string
The raw schema of the output parameter of this flow.
-
timeCreated: string
(date-time)
The time the Flow was created. An RFC3339 formatted datetime string.
-
timeUpdated: string
(date-time)
The time the Package was last updated. An RFC3339 formatted datetime string
-
tracingLevel: string
Allowed Values:
[ "PROD", "AUDIT", "DEBUG" ]tracingLevel of this flow -
updatedBy: string
Updated By.
-
version(required): string
Minimum Length:
1Maximum Length:255This refers to the Semantic Versioning.
Nested Schema : errors
Type:
arrayList of errors associated with the flow definition.
Show Source
-
Array of:
object FlowDefinitionError
Represent an error associated with the flow definition.
Nested Schema : flowProperties
Type:
objectAdditional Properties Allowed
Show Source
-
string
Minimum Length:
0Maximum Length:1024
Map for the Flow Properties
Example:
{
"adminEmail":"joseFeliciano@mycompany.net",
"primaryLanguage":"sp"
}Nested Schema : FlowDefinitionError
Type:
objectRepresent an error associated with the flow definition.
Show Source
-
locator(required): object
Locator
Represents the locator for a node which threw the error
-
message(required): string
A human-readable message string.
Nested Schema : Locator
Type:
objectRepresents the locator for a node which threw the error
Show Source
-
argumentIndex: integer
Use the index if no argumentName is present
-
argumentName: string
Name of the argument if present
-
artifactType(required): string
Identifies type of the artifact
-
functionId: string
Id of the function(flow) needed for variable and action artifacts
-
id: string
Id of the artifact if present
-
index: integer
Use the index if no ID or name is present
-
name: string
Name of the artifact if present
400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.